;=== PCserialDemo.bas ========= 2009.08.11 ========= Ron Hackett===
;
;	This simple serial comms program runs on a PICAXE-14M @ 4MHz.
;	It blinks an LED on output 5 in response to user input from PC.
;	All I/O is via the programming cable and the Terminal Window.


;=== Constants ======

	symbol LED = 5					; LED on output 5
	

;=== Variables ======

	symbol answer = b0			; stores the user's response
	symbol index  = b1			; used in for-next loop


;=== Directives =====

	#picaxe 14M
	#terminal 4800

	 
;=== Begin Main Program ===========================================
	
	wait 1							; give Terminal Window time to open
	
blinks:
	sertxd("How many blinks would you like? (1-9)",CR,LF,CR,LF)	
	serrxd answer
	reconnect						; required after each serrxd command

	answer = answer - 48			; convert from ASCII to binary

	If answer < 1 OR answer > 9 then
		sertxd("Please choose a number between 1 and 9!",CR,LF,CR,LF)
		goto blinks					; back to the beginning
	else
		for index = 1 to answer	; blink "answer" number of times
			high LED
			pause 250
			low LED
			pause 250
		next index
	endif
	
	sertxd("Had enough? (y/n)",CR,LF,CR,LF)	
	serrxd answer
	reconnect						; required after each serrxd command

	if answer = "y" or answer = "Y" then
		sertxd("Good-bye!",CR,LF)
		end							; program ended at user's request
	endif
	
	goto blinks						; do it again
